## IAnjutaEditorCellStyle IAnjutaEditorCellStyle — Text editor cell style interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-editor-cell-style.h>

    #define             IANJUTA_EDITOR_CELL_STYLE_ERROR
                        IAnjutaEditorCellStyle;
                        IAnjutaEditorCellStyleIface;
    GQuark              ianjuta_editor_cell_style_error_quark
                                                            (void);
    gchar*              ianjuta_editor_cell_style_get_background_color
                                                            (IAnjutaEditorCellStyle *obj,
                                                             GError **err);
    gchar*              ianjuta_editor_cell_style_get_color (IAnjutaEditorCellStyle *obj,
                                                             GError **err);
    gchar*              ianjuta_editor_cell_style_get_font_description
                                                            (IAnjutaEditorCellStyle *obj,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaEditorCellStyle

## Prerequisites

IAnjutaEditorCellStyle requires IAnjutaEditorCell and GObject.

## Description

## Details

### IANJUTA_EDITOR_CELL_STYLE_ERROR

    #define IANJUTA_EDITOR_CELL_STYLE_ERROR ianjuta_editor_cell_style_error_quark()

### IAnjutaEditorCellStyle

    typedef struct _IAnjutaEditorCellStyle IAnjutaEditorCellStyle;

### IAnjutaEditorCellStyleIface

    typedef struct {
    	IAnjutaEditorCellIface g_iface;

    	gchar* (*get_background_color) (IAnjutaEditorCellStyle *obj, GError **err);
    	gchar* (*get_color) (IAnjutaEditorCellStyle *obj, GError **err);
    	gchar* (*get_font_description) (IAnjutaEditorCellStyle *obj, GError **err);
    } IAnjutaEditorCellStyleIface;

### ianjuta_editor_cell_style_error_quark ()

    GQuark              ianjuta_editor_cell_style_error_quark
                                                            (void);

Returns : |

### ianjuta_editor_cell_style_get_background_color ()

    gchar*              ianjuta_editor_cell_style_get_background_color
                                                            (IAnjutaEditorCellStyle *obj,
                                                             GError **err);

`obj` : |
`err` : |
Returns : |

### ianjuta_editor_cell_style_get_color ()

    gchar*              ianjuta_editor_cell_style_get_color (IAnjutaEditorCellStyle *obj,
                                                             GError **err);

`obj` : |
`err` : |
Returns : |

### ianjuta_editor_cell_style_get_font_description ()

    gchar*              ianjuta_editor_cell_style_get_font_description
                                                            (IAnjutaEditorCellStyle *obj,
                                                             GError **err);

`obj` : |
`err` : |
Returns : |